(** Cumulative distribution functions *)

external ugaussian_P : x:float -> float = "ml_gsl_cdf_ugaussian_P" "gsl_cdf_ugaussian_P" "float"
external ugaussian_Q : x:float -> float = "ml_gsl_cdf_ugaussian_Q" "gsl_cdf_ugaussian_Q" "float"
external ugaussian_Pinv : p:float -> float = "ml_gsl_cdf_ugaussian_Pinv" "gsl_cdf_ugaussian_Pinv" "float"
external ugaussian_Qinv : q:float -> float = "ml_gsl_cdf_ugaussian_Qinv" "gsl_cdf_ugaussian_Qinv" "float"
external gaussian_P : x:float -> sigma:float -> float = "ml_gsl_cdf_gaussian_P" "gsl_cdf_gaussian_P" "float"
external gaussian_Q : x:float -> sigma:float -> float = "ml_gsl_cdf_gaussian_Q" "gsl_cdf_gaussian_Q" "float"
external gaussian_Pinv : p:float -> sigma:float -> float = "ml_gsl_cdf_gaussian_Pinv" "gsl_cdf_gaussian_Pinv" "float"
external gaussian_Qinv : q:float -> sigma:float -> float = "ml_gsl_cdf_gaussian_Qinv" "gsl_cdf_gaussian_Qinv" "float"
external gamma_P : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_gamma_P" "gsl_cdf_gamma_P" "float"
external gamma_Q : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_gamma_Q" "gsl_cdf_gamma_Q" "float"
external gamma_Pinv : p:float -> a:float -> b:float -> float = "ml_gsl_cdf_gamma_Pinv" "gsl_cdf_gamma_Pinv" "float"
external gamma_Qinv : q:float -> a:float -> b:float -> float = "ml_gsl_cdf_gamma_Qinv" "gsl_cdf_gamma_Qinv" "float"
external cauchy_P : x:float -> a:float -> float = "ml_gsl_cdf_cauchy_P" "gsl_cdf_cauchy_P" "float"
external cauchy_Q : x:float -> a:float -> float = "ml_gsl_cdf_cauchy_Q" "gsl_cdf_cauchy_Q" "float"
external cauchy_Pinv : p:float -> a:float -> float = "ml_gsl_cdf_cauchy_Pinv" "gsl_cdf_cauchy_Pinv" "float"
external cauchy_Qinv : q:float -> a:float -> float = "ml_gsl_cdf_cauchy_Qinv" "gsl_cdf_cauchy_Qinv" "float"
external laplace_P : x:float -> a:float -> float = "ml_gsl_cdf_laplace_P" "gsl_cdf_laplace_P" "float"
external laplace_Q : x:float -> a:float -> float = "ml_gsl_cdf_laplace_Q" "gsl_cdf_laplace_Q" "float"
external laplace_Pinv : p:float -> a:float -> float = "ml_gsl_cdf_laplace_Pinv" "gsl_cdf_laplace_Pinv" "float"
external laplace_Qinv : q:float -> a:float -> float = "ml_gsl_cdf_laplace_Qinv" "gsl_cdf_laplace_Qinv" "float"
external rayleigh_P : x:float -> sigma:float -> float = "ml_gsl_cdf_rayleigh_P" "gsl_cdf_rayleigh_P" "float"
external rayleigh_Q : x:float -> sigma:float -> float = "ml_gsl_cdf_rayleigh_Q" "gsl_cdf_rayleigh_Q" "float"
external rayleigh_Pinv : p:float -> sigma:float -> float = "ml_gsl_cdf_rayleigh_Pinv" "gsl_cdf_rayleigh_Pinv" "float"
external rayleigh_Qinv : q:float -> sigma:float -> float = "ml_gsl_cdf_rayleigh_Qinv" "gsl_cdf_rayleigh_Qinv" "float"
external chisq_P : x:float -> nu:float -> float = "ml_gsl_cdf_chisq_P" "gsl_cdf_chisq_P" "float"
external chisq_Q : x:float -> nu:float -> float = "ml_gsl_cdf_chisq_Q" "gsl_cdf_chisq_Q" "float"
external chisq_Pinv : p:float -> nu:float -> float = "ml_gsl_cdf_chisq_Pinv" "gsl_cdf_chisq_Pinv" "float"
external chisq_Qinv : q:float -> nu:float -> float = "ml_gsl_cdf_chisq_Qinv" "gsl_cdf_chisq_Qinv" "float"
external exponential_P : x:float -> mu:float -> float = "ml_gsl_cdf_exponential_P" "gsl_cdf_exponential_P" "float"
external exponential_Q : x:float -> mu:float -> float = "ml_gsl_cdf_exponential_Q" "gsl_cdf_exponential_Q" "float"
external exponential_Pinv : p:float -> mu:float -> float = "ml_gsl_cdf_exponential_Pinv" "gsl_cdf_exponential_Pinv" "float"
external exponential_Qinv : q:float -> mu:float -> float = "ml_gsl_cdf_exponential_Qinv" "gsl_cdf_exponential_Qinv" "float"
external exppow_P : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_exppow_P" "gsl_cdf_exppow_P" "float"
external exppow_Q : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_exppow_Q" "gsl_cdf_exppow_Q" "float"
external tdist_P : x:float -> nu:float -> float = "ml_gsl_cdf_tdist_P" "gsl_cdf_tdist_P" "float"
external tdist_Q : x:float -> nu:float -> float = "ml_gsl_cdf_tdist_Q" "gsl_cdf_tdist_Q" "float"
external tdist_Pinv : p:float -> nu:float -> float = "ml_gsl_cdf_tdist_Pinv" "gsl_cdf_tdist_Pinv" "float"
external tdist_Qinv : q:float -> nu:float -> float = "ml_gsl_cdf_tdist_Qinv" "gsl_cdf_tdist_Qinv" "float"
external fdist_P : x:float -> nu1:float -> nu2:float -> float = "ml_gsl_cdf_fdist_P" "gsl_cdf_fdist_P" "float"
external fdist_Q : x:float -> nu1:float -> nu2:float -> float = "ml_gsl_cdf_fdist_Q" "gsl_cdf_fdist_Q" "float"
external fdist_Pinv : p:float -> nu1:float -> nu2:float -> float = "ml_gsl_cdf_fdist_Pinv" "gsl_cdf_fdist_Pinv" "float"
external fdist_Qinv : q:float -> nu1:float -> nu2:float -> float = "ml_gsl_cdf_fdist_Qinv" "gsl_cdf_fdist_Qinv" "float"
external beta_P : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_beta_P" "gsl_cdf_beta_P" "float"
external beta_Q : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_beta_Q" "gsl_cdf_beta_Q" "float"
external beta_Pinv : p:float -> a:float -> b:float -> float = "ml_gsl_cdf_beta_Pinv" "gsl_cdf_beta_Pinv" "float"
external beta_Qinv : q:float -> a:float -> b:float -> float = "ml_gsl_cdf_beta_Qinv" "gsl_cdf_beta_Qinv" "float"
external flat_P : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_flat_P" "gsl_cdf_flat_P" "float"
external flat_Q : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_flat_Q" "gsl_cdf_flat_Q" "float"
external flat_Pinv : p:float -> a:float -> b:float -> float = "ml_gsl_cdf_flat_Pinv" "gsl_cdf_flat_Pinv" "float"
external flat_Qinv : q:float -> a:float -> b:float -> float = "ml_gsl_cdf_flat_Qinv" "gsl_cdf_flat_Qinv" "float"
external lognormal_P : x:float -> zeta:float -> sigma:float -> float = "ml_gsl_cdf_lognormal_P" "gsl_cdf_lognormal_P" "float"
external lognormal_Q : x:float -> zeta:float -> sigma:float -> float = "ml_gsl_cdf_lognormal_Q" "gsl_cdf_lognormal_Q" "float"
external lognormal_Pinv : p:float -> zeta:float -> sigma:float -> float = "ml_gsl_cdf_lognormal_Pinv" "gsl_cdf_lognormal_Pinv" "float"
external lognormal_Qinv : q:float -> zeta:float -> sigma:float -> float = "ml_gsl_cdf_lognormal_Qinv" "gsl_cdf_lognormal_Qinv" "float"
external gumbel1_P : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_gumbel1_P" "gsl_cdf_gumbel1_P" "float"
external gumbel1_Q : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_gumbel1_Q" "gsl_cdf_gumbel1_Q" "float"
external gumbel1_Pinv : p:float -> a:float -> b:float -> float = "ml_gsl_cdf_gumbel1_Pinv" "gsl_cdf_gumbel1_Pinv" "float"
external gumbel1_Qinv : q:float -> a:float -> b:float -> float = "ml_gsl_cdf_gumbel1_Qinv" "gsl_cdf_gumbel1_Qinv" "float"
external gumbel2_P : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_gumbel2_P" "gsl_cdf_gumbel2_P" "float"
external gumbel2_Q : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_gumbel2_Q" "gsl_cdf_gumbel2_Q" "float"
external gumbel2_Pinv : p:float -> a:float -> b:float -> float = "ml_gsl_cdf_gumbel2_Pinv" "gsl_cdf_gumbel2_Pinv" "float"
external gumbel2_Qinv : q:float -> a:float -> b:float -> float = "ml_gsl_cdf_gumbel2_Qinv" "gsl_cdf_gumbel2_Qinv" "float"
external weibull_P : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_weibull_P" "gsl_cdf_weibull_P" "float"
external weibull_Q : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_weibull_Q" "gsl_cdf_weibull_Q" "float"
external weibull_Pinv : p:float -> a:float -> b:float -> float = "ml_gsl_cdf_weibull_Pinv" "gsl_cdf_weibull_Pinv" "float"
external weibull_Qinv : q:float -> a:float -> b:float -> float = "ml_gsl_cdf_weibull_Qinv" "gsl_cdf_weibull_Qinv" "float"
external pareto_P : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_pareto_P" "gsl_cdf_pareto_P" "float"
external pareto_Q : x:float -> a:float -> b:float -> float = "ml_gsl_cdf_pareto_Q" "gsl_cdf_pareto_Q" "float"
external pareto_Pinv : p:float -> a:float -> b:float -> float = "ml_gsl_cdf_pareto_Pinv" "gsl_cdf_pareto_Pinv" "float"
external pareto_Qinv : q:float -> a:float -> b:float -> float = "ml_gsl_cdf_pareto_Qinv" "gsl_cdf_pareto_Qinv" "float"
external logistic_P : x:float -> a:float -> float = "ml_gsl_cdf_logistic_P" "gsl_cdf_logistic_P" "float"
external logistic_Q : x:float -> a:float -> float = "ml_gsl_cdf_logistic_Q" "gsl_cdf_logistic_Q" "float"
external logistic_Pinv : p:float -> a:float -> float = "ml_gsl_cdf_logistic_Pinv" "gsl_cdf_logistic_Pinv" "float"
external logistic_Qinv : q:float -> a:float -> float = "ml_gsl_cdf_logistic_Qinv" "gsl_cdf_logistic_Qinv" "float"
external binomial_P : k:int -> p:float -> n:int -> float = "ml_gsl_cdf_binomial_P"
external binomial_Q : k:int -> p:float -> n:int -> float = "ml_gsl_cdf_binomial_Q"
external poisson_P : k:int -> mu:float -> float = "ml_gsl_cdf_poisson_P"
external poisson_Q : k:int -> mu:float -> float = "ml_gsl_cdf_poisson_Q"
external geometric_P : k:int -> p:float -> float = "ml_gsl_cdf_geometric_P"
external geometric_Q : k:int -> p:float -> float = "ml_gsl_cdf_geometric_Q"
external negative_binomial_P : k:int -> p:float -> n:float -> float = "ml_gsl_cdf_negative_binomial_P"
external negative_binomial_Q : k:int -> p:float -> n:float -> float = "ml_gsl_cdf_negative_binomial_Q"
external pascal_P : k:int -> p:float -> n:int -> float = "ml_gsl_cdf_pascal_P"
external pascal_Q : k:int -> p:float -> n:int -> float = "ml_gsl_cdf_pascal_Q"
external hypergeometric_P : k:int -> n1:int -> n2:int -> t:int -> float = "ml_gsl_cdf_hypergeometric_P"
external hypergeometric_Q : k:int -> n1:int -> n2:int -> t:int -> float = "ml_gsl_cdf_hypergeometric_Q"
